unit uViewConfiguracionDocBano;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, uViewConfiguracionBase, cxControls, cxContainer, cxEdit, cxTextEdit, cxMemo,
  cxRichEdit, uViewBase, JvExControls, JvGradientHeaderPanel, StdCtrls, ExtCtrls,
  ComCtrls, uCustomView, uViewDetallesBase, uViewConfiguracionCapitulo,
  uViewDetallesDTO, uViewDetallesArticulos;

type
  TfrViewConfiguracionDocBANO = class(TfrViewConfiguracionBase)
    paginas: TPageControl;
    pagNotas: TTabSheet;
    Label1: TLabel;
    Label2: TLabel;
    Label4: TLabel;
    ePlazosEntrega: TMemo;
    eFormaPago: TMemo;
    eObservaciones: TMemo;
    pagCapitulo: TTabSheet;
    frViewConfiguracionCapitulo: TfrViewConfiguracionCapitulo;
    pagCondiciones: TTabSheet;
    eCondiciones: TcxRichEdit;
    pagCalidades: TTabSheet;
    eCalidades: TcxRichEdit;
  public
    class function GetViewClass : TClass; override;
    class function DarEtiqueta : String; override;
    procedure CargarValores; override;
    procedure GuardarValores; override;
  end;

var
  frViewConfiguracionDocBANO: TfrViewConfiguracionDocBANO;

implementation
{$R *.dfm}
{ TfrViewConfiguracionDocBANO }

uses uFactuGES_App, uConfiguracionController, uPresupuestosClienteController,
uBizDetallesPresupuestoCliente, uDetallesPresupuestoClienteController;

procedure TfrViewConfiguracionDocBANO.CargarValores;
begin
  inherited;
  eFormaPago.Lines.Clear;
  eFormaPago.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_FORMA_PAGO_BANO);
  ePlazosEntrega.Lines.Clear;
  ePlazosEntrega.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_PLAZOS_ENTREGA_BANO);
  eObservaciones.Lines.Clear;
  eObservaciones.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_OBSERVACIONES_BANO);

  eCalidades.Lines.Clear;
  eCalidades.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_CALIDADES_BANO);

  eCondiciones.Lines.Clear;
  eCondiciones.Text := AppFactuGES.Configuracion.GetSettingAsString(teBD,CTE_CONDICIONES_BANO);

  frViewConfiguracionCapitulo.Controller := TDetallesPresupuestoClienteController.Create;
  frViewConfiguracionCapitulo.Detalles := (frViewConfiguracionCapitulo.Controller as IDetallesPresupuestoClienteController).BuscarCapitulo(TIPO_CAPITULO_B);
end;

class function TfrViewConfiguracionDocBANO.DarEtiqueta: String;
begin
  Result := 'Documentos baņo';
end;

class function TfrViewConfiguracionDocBANO.GetViewClass: TClass;
begin
  Result := TfrViewConfiguracionDocBANO;
end;

procedure TfrViewConfiguracionDocBANO.GuardarValores;
begin
  inherited;
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_FORMA_PAGO_BANO, eFormaPago.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_PLAZOS_ENTREGA_BANO, ePlazosEntrega.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_OBSERVACIONES_BANO, eObservaciones.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_CONDICIONES_BANO, eCondiciones.Text);
  AppFactuGES.Configuracion.SetSettingAsString(teBD, CTE_CALIDADES_BANO, eCalidades.Text);  

  frViewConfiguracionCapitulo.Detalles.DataTable.ApplyUpdates;
end;


end.
